<link rel="import" href="../../polymer/polymer-element.html" />

<dom-module id="app-register">
    <template>
        <link rel="stylesheet" href="css/bulma.min.css" />
        <h3 class="title has-text-centered">Comienza tu blog</h3>
        <form class="form" on-submit="registrarUsuario" method="POST">
            <div class="field">
                <label class="label" for="nombre">Nombre:</label>
                <input
                    class="input is-rounded"
                    type="text"
                    name="nombre"
                    id="nombre"
                    placeholder="André P."
                    value="{{nombre::input}}"
                    required
                />
            </div>

            <div class="field">
                <label class="label" for="correo">Correo electrónico:</label>
                <input
                    class="input is-rounded"
                    type="email"
                    name="correo"
                    id="correo"
                    placeholder="correo@ejemplo.com"
                    value="{{correo::input}}"
                    required
                />
            </div>

            <div class="field">
                <label class="label" for="clave">Contraseña (al menos 8 caracteres):</label>
                <input
                    class="input is-rounded"
                    type="password"
                    name="clave"
                    id="clave"
                    placeholder="********"
                    minlength="8"
                    value="{{clave1::input}}"
                    required
                />
            </div>

            <div class="field">
                <label class="label" for="clave2">Repite tu contraseña:</label>
                <input
                    class="input is-rounded"
                    type="password"
                    name="clave2"
                    id="clave2"
                    placeholder="********"
                    minlength="8"
                    value="{{clave2::input}}"
                    required
                />
                <p class="help is-danger is-hidden">Las contraseñas no coinciden</p>
            </div>

            <div class="field has-text-centered">
                <button type="submit" class="button is-rounded is-primary">Registrar</button>
            </div>
        </form>
    </template>

    <script>
        class AppRegister extends Polymer.Element {
            static get is() {
                return "app-register";
            }
            static get properties() {
                return {
                    nombre: {
                        type: String,
                        value: "",
                    },
                    correo: {
                        type: String,
                        value: "",
                    },
                    clave1: {
                        type: String,
                        value: "",
                    },
                    clave2: {
                        type: String,
                        value: "",
                    },
                };
            }
            registrarUsuario(e) {
                e.preventDefault();
                if (this.clave1 !== this.clave2) {
                    this.shadowRoot.querySelector("p.help").classList.remove("is-hidden");
                    this.shadowRoot.querySelectorAll("input[type=password]").forEach((element) => {
                        element.classList.add("is-danger");
                    });
                } else {
                    this.shadowRoot.querySelector("p.help").classList.add("is-hidden");
                    this.shadowRoot.querySelectorAll("input[type=password]").forEach((element) => {
                        element.classList.remove("is-danger");
                    });
                }

                console.log(this.nombre);
                console.log(this.correo);
                console.log(this.clave1);
                alert("Conexión al servidor pendiente, los datos están en la consola");

                // Ya que es un demo...
                window.location.replace("perfil.html");
            }
            ready() {
                super.ready();
            }
        }

        window.customElements.define(AppRegister.is, AppRegister);
    </script>
</dom-module>
